Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227119 - Review Request: ws-jaxme-0.5.1-1jpp - Open source implementation of JAXB
Summary: Review Request: ws-jaxme-0.5.1-1jpp - Open source implementation of JAXB
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:59 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:24:12 UTC
pcheung: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:59:23 UTC
Spec URL: http://people.redhat.com/rafaels/specs/ws-jaxme-0.5.1-1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/ws-jaxme-0.5.1-1jpp.src.rpm
Description: A Java/XML binding compiler takes as input a schema
description (in most cases an XML schema, but it may
be a DTD, a RelaxNG schema, a Java class inspected
via reflection, or a database schema). The output is
a set of Java classes:
* A Java bean class matching the schema description.
  (If the schema was obtained via Java reflection,
  the original Java bean class.)
* Read a conforming XML document and convert it into
  the equivalent Java bean.
* Vice versa, marshal the Java bean back into the
  original XML document.

Javadoc for ws-jaxme.

Documents for ws-jaxme.

Comment 1 Deepak Bhole 2007-02-13 16:15:47 UTC
Fixed Spec and SRPM. Files need reviewing. They are here:

http://people.redhat.com/dbhole/fedora/ws-jaxme/

Comment 2 Permaine Cheung 2007-02-15 04:39:30 UTC
X indicates items needed fixing.
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie.
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
Please mention that the password for anon cvs login is : anoncvs
Their server is down at the moment, i will check this again next time
Shall we mention how we get the doc tar ball as well?
* skim the summary and description for typos, etc.
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-n missing
X if %{?dist} is used, it should be in that form (note the ? and %
locations)
%{?dist} missing
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - looks good, only:
W: ws-jaxme non-standard-group Development/Libraries/Java
* changelog should be in one of these formats:
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.
 
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
 
* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - %{?dist} is missing from Release:
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
X make sure lines are <= 80 characters
line 156, 157 are > 80 char.
* specfile written in American English
X make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
please use -doc as it's preferred.
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-0.5.1-2jpp.1.noarch.rpm
ws-jaxme = 0:0.5.1-2jpp.1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-0.5.1-2jpp.1.noarch.rpm
antlr
hsqldb
jakarta-commons-codec
jaxp_transform_impl
jpackage-utils
jpackage-utils
junit
log4j
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
xalan-j2
xerces-j2
xml-commons-apis
xmldb-api
xmldb-api-sdk
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-javadoc-0.5.1-2jpp.1.noarch.rpm
ws-jaxme-javadoc = 0:0.5.1-2jpp.1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-javadoc-0.5.1-2jpp.1.noarch.rpm
jpackage-utils
jpackage-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-manual-0.5.1-2jpp.1.noarch.rpm
ws-jaxme-manual = 0:0.5.1-2jpp.1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-manual-0.5.1-2jpp.1.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 
* run rpmlint on the binary RPMs
rpmlint on mock built rpms:
[pcheung@to-fcjpp1 tmp]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-*
W: ws-jaxme non-standard-group Development/Libraries/Java
W: ws-jaxme incoherent-version-in-changelog 0:0.5.1-2jpp.1.fc7 0:0.5.1-2jpp.1
W: ws-jaxme non-standard-group Development/Libraries/Java
 
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
built in mock


Comment 3 Deepak Bhole 2007-02-15 17:23:46 UTC
Fixed files are in:

http://people.redhat.com/dbhole/fedora/ws-jaxme/

Fixed the source location
Fixed the lines > 80 chars
%{?dist} added

Comment 4 Deepak Bhole 2007-02-15 17:34:26 UTC
The -manual package was not renamed to doc because jpackage uses -manual and we
need to stay as close to them as possible.

Comment 5 Permaine Cheung 2007-02-15 19:10:07 UTC
Great! APPROVED.

rpmlint on mock built rpms:
[pcheung@to-fcjpp1 tmp]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-*
W: ws-jaxme non-standard-group Development/Libraries/Java
W: ws-jaxme non-standard-group Development/Libraries/Java

final provides and requires:
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-0.5.1-2jpp.1.fc7.noarch.rpm
antlr
hsqldb
jakarta-commons-codec
jaxp_transform_impl
jpackage-utils
jpackage-utils
junit
log4j
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
xalan-j2
xerces-j2
xml-commons-apis
xmldb-api
xmldb-api-sdk
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-0.5.1-2jpp.1.fc7.noarch.rpm
ws-jaxme = 0:0.5.1-2jpp.1.fc7
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-javadoc-0.5.1-2jpp.1.fc7.noarch.rpm
jpackage-utils
jpackage-utils
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-javadoc-0.5.1-2jpp.1.fc7.noarch.rpm
ws-jaxme-javadoc = 0:0.5.1-2jpp.1.fc7
[pcheung@to-fcjpp1 tmp]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-manual-0.5.1-2jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 tmp]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/ws-jaxme-manual-0.5.1-2jpp.1.fc7.noarch.rpm
ws-jaxme-manual = 0:0.5.1-2jpp.1.fc7

Reassigning for building in plague.

Comment 6 Nuno Santos 2007-02-21 21:25:58 UTC
New Package CVS Request
=======================
Package Name: ws-jaxme-0.5.1-1jpp
Short Description: Open source implementation of JAXB
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com

Comment 7 Bernard Johnson 2007-04-11 22:48:09 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.